Subject: Re: linux-next: manual merge of the devicetree tree with the net-next, stm32 trees

From: Alexandre TORGUE <[email-masked]>
Date: Wed, 24 Apr 2024 14:28:21 +0200

Hi Stephen

On 4/24/24 05:40, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the devicetree tree got a conflict in:
> 
>    drivers/of/property.c
> 
> between commits:
> 
>    6a15368c1c6d ("of: property: fw_devlink: Add support for "access-controller"")
>    93c0d8c0ac30 ("of: property: Add fw_devlink support for pse parent")
> 
> from the net-next, stm32 trees and commit:
> 
>    669430b183fc ("of: property: fw_devlink: Add support for "power-supplies" binding")
> 
> from the devicetree tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 

After remark from Saravana I just updated the stm32-next branch which 
impact part of code mentioned above. I think you should get a merge 
conflict on the next stm32-next merge into linux-next.

I will warn Arnd B. about those conflicts in my next PR.

regards
Alex